## gimppalettes gimppalettes — Operations related to palettes. |

## Functions

gboolean | gimp_palettes_refresh ()
gchar ** | gimp_palettes_get_list ()
gchar * | gimp_palettes_get_palette ()
gboolean | gimp_palettes_set_palette ()
gchar * | gimp_palettes_get_palette_entry ()

## Description

Operations related to palettes.

## Functions

### gimp_palettes_refresh ()

    gboolean
    gimp_palettes_refresh (void);

Refreshes current palettes. This function always succeeds.

This procedure retrieves all palettes currently in the user's palette path and updates the palette dialogs accordingly.

#### Returns

TRUE on success.

### gimp_palettes_get_list ()

    gchar **
    gimp_palettes_get_list (const gchar *filter,
                            gint *num_palettes);

Retrieves a list of all of the available palettes

This procedure returns a complete listing of available palettes. Each name returned can be used as input to the command `gimp_context_set_palette()`.

#### Parameters

filter | An optional regular expression used to filter the list. |
num_palettes | The number of palettes in the list. |

#### Returns

The list of palette names. The returned value must be freed with `g_strfreev()`.

### gimp_palettes_get_palette ()

    gchar *
    gimp_palettes_get_palette (gint *num_colors);

`gimp_palettes_get_palette` is deprecated and should not be used in newly-written code.

Use `gimp_context_get_palette()` instead.

#### Parameters

num_colors | The palette num_colors. |

#### Returns

The palette name.

### gimp_palettes_set_palette ()

    gboolean
    gimp_palettes_set_palette (const gchar *name);

`gimp_palettes_set_palette` is deprecated and should not be used in newly-written code.

This procedure is deprecated! Use `gimp_context_set_palette()` instead.

#### Parameters

name | The palette name. |

#### Returns

TRUE on success.

### gimp_palettes_get_palette_entry ()

    gchar *
    gimp_palettes_get_palette_entry (const gchar *name,
                                     gint entry_num,
                                     gint *num_colors,
                                     GimpRGB *color);

`gimp_palettes_get_palette_entry` is deprecated and should not be used in newly-written code.

Use `gimp_palette_entry_get_color()` instead.

#### Parameters

name | The palette name (\"\" means currently active palette). |
entry_num | The entry to retrieve. |
num_colors | The palette num_colors. |
color | The color requested. |

#### Returns

The palette name.